<ion-content [fullscreen]="true">
  <ion-header class="home-header" [translucent]="true">
    <ion-row class="header-wrapper">
      <ion-col class="left">
        <ion-icon name="arrow-back"></ion-icon>
      </ion-col>
      <ion-col class="right">
        <ion-icon name="cloud-upload"></ion-icon>
        <ion-icon name="information-circle-outline"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-header>
  <ion-row class="cover-img">
  </ion-row>
  <ion-card class="cover-card" *ngIf="inkaRestaurant | async as inkaRestaurant">
    <ion-card-title class="card-title">{{ inkaRestaurant?.name }}</ion-card-title>
    <ion-card-content class="card-content">
      <p class="card-p"><ion-icon name="star-outline"></ion-icon>{{ inkaRestaurant?.star }} ({{ inkaRestaurant?.noOfPersonRated }}+) | All days: {{
        inkaRestaurant?.timing }}</p>
      <p class="card-p"><ion-icon name="call-outline"></ion-icon>Reach us at : {{ inkaRestaurant?.mobileNumber }}</p>
      <ion-button class="book-btn">BOOK A TABLE</ion-button>
    </ion-card-content>
  </ion-card>
  <ion-grid class="menu-wrapper">
    <h3 class="menu-heading">Starter</h3>
    <ng-container *ngFor="let item of items | async">
      <ion-row class="menu-item">
        <ion-col class="item-content ion-no-padding" size="9">
          <span class="letter-badge">N</span>
          <div class="item-info">
            <h4 class="item-name">{{ item.name }}</h4>
            <p class="item-desc">{{ item.description }}</p>
            <p class="item-price">€ {{ item.price }}</p>
          </div>
        </ion-col>
        <ion-col class="qty-col ion-no-padding" size="3">
          <div class="qty-counter">
            <ion-icon  *ngIf="item.count < 20" name="add-outline" (click)="addItem(item)"></ion-icon>
            <div *ngIf="item.count > 0" style="display: flex;">
              <span class="qty-count">{{ item.count }}</span>
              <ion-icon name="remove-outline" (click)="removeItem(item)"></ion-icon>    
            </div>
          </div>
        </ion-col>
      </ion-row>

    </ng-container>

  </ion-grid>
  <ion-row class="bottom-menu">
    <div class="quick-menu">
      <ion-img src="assets/images/dinner.svg" class="menu-ic"></ion-img>
      <span class="menu-txt">menu</span>
    </div>
  </ion-row>
</ion-content>
<ion-footer class="foo-cart" *ngIf="cartCount | async as cartCount" (click)="goToMyCart()">
  <ion-icon name="cart-outline" class="cart-icon"></ion-icon>
  <span class="cart-txt">VIEW CART ({{ cartCount }} ITEMS)</span>
</ion-footer>